<?php

namespace Chemical\Reaction;

use User;

class Reaction
{
    /**
     * $reaction object.
     */
    protected $reaction;

    /**
     * Constructor.
     */
    public function __construct(\Chemical\Reaction\Interfaces\ReactionRepositoryInterface $reaction)
    {
        $this->reaction = $reaction;
    }

    /**
     * Returns count of reaction.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.reaction.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->reaction->pushCriteria(new \Litepie\Chemical\Repositories\Criteria\ReactionUserCriteria());
        }

        $reaction = $this->reaction->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('reaction::' . $view, compact('reaction'))->render();
    }
}
