<?php

namespace Chemical\Reaction\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ReactionTransformer extends TransformerAbstract
{
    public function transform(\Chemical\Reaction\Models\Reaction $reaction)
    {
        return [
            'id'                => $reaction->getRouteKey(),
            'key'               => [
                'public'    => $reaction->getPublicKey(),
                'route'     => $reaction->getRouteKey(),
            ], 
            'id'                => $reaction->id,
            'slug'              => $reaction->slug,
            'name'              => $reaction->name,
            'status'            => $reaction->status,
            'created_at'        => $reaction->created_at,
            'updated_at'        => $reaction->updated_at,
            'deleted_at'        => $reaction->deleted_at,
            'url'               => [
                'public'    => trans_url('reaction/'.$reaction->getPublicKey()),
                'user'      => guard_url('reaction/reaction/'.$reaction->getRouteKey()),
            ], 
            'status'            => trans('app.'.$reaction->status),
            'created_at'        => format_date($reaction->created_at),
            'updated_at'        => format_date($reaction->updated_at),
        ];
    }
}